Groovy 1.7.10

## org.codehaus.groovy.runtime
[Java] Class ScriptReference

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Reference
              org.codehaus.groovy.runtime.ScriptReference

    public class ScriptReference
    extends Reference

Represents a reference to a variable in a script

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Constructor Summary
`ScriptReference(Script script, String variable)`

Method Summary
`Object` | `get()`
`void` | `set(Object value)`

Methods inherited from class Reference
get, getProperty, invokeMethod, set, setProperty

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ScriptReference

    public ScriptReference(Script script, String variable)

Method Detail

### get

    public Object get()

### set

    public void set(Object value)

Copyright © 2003-2010 The Codehaus. All rights reserved.